{{- if .Values.frontend.ingress.enabled -}}
{{- $fullName := include "littleworld.fullname" . -}}
{{- $shortName := include "littleworld.name" . -}}
{{- $svcPort := .Values.frontend.service.port -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $fullName }}-frontend
  labels:
    {{- include "littleworld.labels" . | nindent 4 }}-frontend
  {{- with .Values.frontend.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  {{- if .Values.frontend.ingress.tls }}
  tls:
    {{- range .Values.frontend.ingress.tls }}
    - hosts:
        {{- range .hosts }}
        - {{ . | quote }}
        {{- end }}
      secretName: {{ .secretName }}
    {{- end }}
  {{- end }}
  rules:
    {{- range .Values.frontend.ingress.hosts }}
    - host: {{ .host | quote }}
      http:
        paths:
          {{- range .paths }}
          - path: {{ . }}
            pathType: Prefix
            backend:
              service:
                name: {{ $shortName }}-frontend
                port:
                  number: {{ $svcPort }}
          {{- end }}
    {{- end }}
  {{- end }}
